View Issue Details

IDProjectCategoryView StatusLast Update
11605Feature requests[All Projects] Survey editingpublic2019-05-09 18:25
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11605: Please : don't add a GROUP and an a QUESTION each time
Description

Since some week : when creating a survey : ojne group is added + one example question.
This is surely good at start using LS, but really annoying for pwoer user : there MUST be a solution to deactivate this behaviour

Additional Information

Really think it must be provided by a plugin ...

TagsNo tags attached.

Activities

tammo

tammo

2016-09-28 14:26

partner   ~41004

Please do not do these thing by default. Rather ask: do you want to start with a group ("page") and a sample question? Yes/No?

DenisChenu

DenisChenu

2016-09-28 14:56

developer   ~41005

When create a new survey : add a new checkbox ? At top of the form ?

Seems great for me :)

pmonstad

pmonstad

2016-09-28 16:19

updater   ~41009

I second this one! Reminds me about the paper clip in Windows 95.

tammo

tammo

2016-09-28 16:53

partner   ~41011

I do like the idea that a novice user is helped, because LS has a steep learning curve. But a experienced user will not want this. And I hope that many novice users will become experienced users.

mfavetti

mfavetti

2016-09-29 00:10

developer   ~41020

Working on this...

Should it be enabled (Yes create the questions) or disabled (Don't create the questions) by default?

Or really, do you think novice users will click it in the first place to get the sample question? Or should experienced users be bothered with having to click to turn it off?

Maybe a global setting will be better?

Any thoughts?

mfavetti

mfavetti

2016-09-29 00:38

developer   ~41023

https://github.com/LimeSurvey/LimeSurvey/pull/547

tammo

tammo

2016-09-29 09:40

partner   ~41028

Just brainstorming: this could be part of "beginners mode" vs "expert mode" where more features could be added in due course:

beginners mode: there is a checkbox for automatically adding a sample group and a sample question (checkbox default checked)

expert mode: there is the same checkbox but is by default unchecked.

tammo

tammo

2016-09-29 09:44

partner   ~41029

And the checkbox is only visible when defining a new survey.

Issue History

Date Modified Username Field Change
2016-08-31 10:08 DenisChenu New Issue
2016-09-28 14:26 tammo Note Added: 41004
2016-09-28 14:56 DenisChenu Note Added: 41005
2016-09-28 14:56 DenisChenu Summary Please : dpon't add a GROUP and an a QUESTION each time => Please : don't add a GROUP and an a QUESTION each time
2016-09-28 16:19 pmonstad Note Added: 41009
2016-09-28 16:53 tammo Note Added: 41011
2016-09-29 00:10 mfavetti Note Added: 41020
2016-09-29 00:38 mfavetti Note Added: 41023
2016-09-29 09:40 tammo Note Added: 41028
2016-09-29 09:44 tammo Note Added: 41029
2019-05-09 18:25 DenisChenu Assigned To => DenisChenu
2019-05-09 18:25 DenisChenu Status new => resolved
2019-05-09 18:25 DenisChenu Resolution open => fixed
2019-05-09 18:25 DenisChenu Fixed in Version => 3.0
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing